<div class="row">
    <div class="col-md-6 col-sm-12 col-xs-12">
        <app-box title="Deploy info" [noPadding]="true" *ngIf="deployment" [type]="getStatus()">
            <div class="nav nav-pills nav-stacked">
                <li>
                    <a>
                        Status <span class="pull-right label label-{{deployments.getLabelStatus(deployment, true)}}" [innerHTML]="deployments.getLabelStatus(deployment) | safeHtml"></span>
                    </a>
                </li>
                <li *ngIf="deployment.started_at">
                    <a>Started at <span class="pull-right label label-default">{{deployment.started_at}}</span></a>
                </li>
                <li *ngIf="deployment.finished_at">
                    <a>Finished at <span class="pull-right label label-default">{{deployment.finished_at}}</span></a>
                </li>
            </div>
        </app-box>
    </div>
    <div class="col-md-6 col-sm-12 col-xs-12">
        <app-box title="Commit info" [noPadding]="shouldShowCommitInfo()" *ngIf="deployment" [type]="getStatus()">
            <ng-container *ngIf="shouldShowCommitInfo() else noCommitInfo">
                <div class="nav nav-pills nav-stacked">
                    <li>
                        <a target="_blank" href="{{project.repository_url}}/commit/{{deployment.commit}}">
                            Commit <span class="pull-right label label-default">{{deployment.commit}}</span>
                        </a>
                    </li>
                    <li>
                        <a>
                            Committer <span class="pull-right label label-default">{{deployment.committer}}</span>
                        </a>
                    </li>
                    <li><a>Message <code class="pull-right">{{deployment.commit_message}}</code></a></li>
                </div>
            </ng-container>
            <ng-template #noCommitInfo>
                No commit info yet
            </ng-template>
        </app-box>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <app-box title="Deploy progress" [noPadding]="true" *ngIf="deployment" [type]="getStatus()">
            <pre style="border-radius: 0; margin-bottom: 0; min-height: 300px; max-height: 900px; overflow: auto;" [innerHTML]="deployment.progress | safeHtml">
            </pre>
        </app-box>
    </div>
</div>
